From: Michael Tremer <michael.tremer@ipfire.org>
To: development@lists.ipfire.org
Subject: [PATCH 1/2] core168: Add rd.auto to kernel command line
Date: Thu, 19 May 2022 08:56:33 +0000 [thread overview]
Message-ID: <20220519085634.197389-1-michael.tremer@ipfire.org> (raw)
[-- Attachment #1: Type: text/plain, Size: 738 bytes --]
This parameter will enable dracut to automatically launch any MDRAID
arrays at boot time.
Signed-off-by: Michael Tremer <michael.tremer(a)ipfire.org>
---
config/rootfiles/core/168/update.sh | 4 ++++
1 file changed, 4 insertions(+)
diff --git a/config/rootfiles/core/168/update.sh b/config/rootfiles/core/168/update.sh
index e11e08b7f..c4005dba9 100644
--- a/config/rootfiles/core/168/update.sh
+++ b/config/rootfiles/core/168/update.sh
@@ -120,6 +120,10 @@ case "$(uname -m)" in
;;
esac
+# Add rd.auto to kernel command line
+if ! grep -q rd.auto /etc/default/grub; then
+ sed -e "s/panic=10/& rd.auto/" -i /etc/default/grub
+fi
# Start services
/etc/init.d/fcron restart
--
2.30.2
next reply other threads:[~2022-05-19 8:56 UTC|newest]
Thread overview: 2+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-05-19 8:56 Michael Tremer [this message]
2022-05-19 8:56 ` [PATCH 2/2] core168: Add script to automatically repair MDRAID arrays Michael Tremer
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20220519085634.197389-1-michael.tremer@ipfire.org \
--to=michael.tremer@ipfire.org \
--cc=development@lists.ipfire.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox